Skip to main content
GET
/
v1
/
environments
/
{id}
Describe an environment
curl --request GET \
  --url https://api.app.chainloop.dev/v1/environments/{id} \
  --header 'Authorization: Bearer <token>'
{
  "environment": {
    "updated_at": "2000-01-23T04:56:07.000Z",
    "organization_id": "organization_id",
    "name": "name",
    "description": "description",
    "created_at": "2000-01-23T04:56:07.000Z",
    "id": "id",
    "logical_environment": {
      "updated_at": "2000-01-23T04:56:07.000Z",
      "organization_id": "organization_id",
      "name": "name",
      "description": "description",
      "created_at": "2000-01-23T04:56:07.000Z",
      "id": "id"
    },
    "type": "ENVIRONMENT_TYPE_UNSPECIFIED"
  }
}

Authorizations

Authorization
string
header
required

Bearer token for authentication

Path Parameters

id
string
required

ID is the unique identifier of the environment

Query Parameters

name
string

Name of the environment (DNS-1123 compliant)

Response

A successful response.

environment
Environment represents an environment entity · object
Example:
{
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"logical_environment": {
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
},
"type": "ENVIRONMENT_TYPE_UNSPECIFIED"
}